WP5ListFontsUsedPacket Class Reference documentation

WP5ListFontsUsedPacket Class Reference

`#include <WP5ListFontsUsedPacket.h>`

Inheritance diagram for WP5ListFontsUsedPacket:

## Public Member Functions
| WP5ListFontsUsedPacket (librevenge::RVNGInputStream *input, WPXEncryption *encryption, int id, unsigned dataOffset, unsigned dataSize, unsigned short packetType)
| ~WP5ListFontsUsedPacket () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataSize) override
unsigned | getFontNameOffset (unsigned fontNumber) const
double | getFontSize (unsigned fontNumber) const
Public Member Functions inherited from WP5GeneralPacketData
| WP5GeneralPacketData ()
virtual | ~WP5GeneralPacketData ()

## Private Attributes
unsigned short | m_packetType
std::vector< unsigned > | m_fontNameOffset
std::vector< double > | m_fontSize

## Additional Inherited Members
Static Public Member Functions inherited from WP5GeneralPacketData
static WP5GeneralPacketData * | constructGeneralPacketData (librevenge::RVNGInputStream *input, WPXEncryption *encryption, WP5GeneralPacketIndex *packetIndex)
Protected Member Functions inherited from WP5GeneralPacketData
virtual void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption, unsigned dataOffset, unsigned dataSize)

## Constructor & Destructor Documentation

## ◆ WP5ListFontsUsedPacket()

WP5ListFontsUsedPacket::WP5ListFontsUsedPacket | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | int | id,
|  | unsigned | dataOffset,
|  | unsigned | dataSize,
|  | unsigned short | packetType )

## ◆ ~WP5ListFontsUsedPacket()

WP5ListFontsUsedPacket::~WP5ListFontsUsedPacket | ( |  | ) |
| override

## Member Function Documentation

## ◆ _readContents()

void WP5ListFontsUsedPacket::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption,
|  | unsigned | dataSize )
| overridevirtual

Implements WP5GeneralPacketData.

## ◆ getFontNameOffset()

unsigned WP5ListFontsUsedPacket::getFontNameOffset | ( | unsigned | fontNumber | ) | const

Referenced by WP5FontGroup::parse(), and WP5Parser::parse().

## ◆ getFontSize()

double WP5ListFontsUsedPacket::getFontSize | ( | unsigned | fontNumber | ) | const

Referenced by WP5FontGroup::parse(), and WP5Parser::parse().

## Member Data Documentation

## ◆ m_fontNameOffset

std::vector<unsigned> WP5ListFontsUsedPacket::m_fontNameOffset
| private

Referenced by _readContents(), getFontNameOffset(), and WP5ListFontsUsedPacket().

## ◆ m_fontSize

std::vector<double> WP5ListFontsUsedPacket::m_fontSize
| private

Referenced by _readContents(), getFontSize(), and WP5ListFontsUsedPacket().

## ◆ m_packetType

unsigned short WP5ListFontsUsedPacket::m_packetType
| private

Referenced by _readContents(), and WP5ListFontsUsedPacket().

The documentation for this class was generated from the following files:

- WP5ListFontsUsedPacket.h
- WP5ListFontsUsedPacket.cpp